Subject: Re: PATCH: RPN mode for zcalc
From: Christian Neukirchen <[email-masked]>
To: [email-masked]
Date: Fri, 17 Jun 2016 11:26:42 +0200
List-Id: Zsh Workers List <zsh-workers.zsh.org>

Peter Stephenson <[email-masked]> writes:

> On Thu, 16 Jun 2016 17:40:48 +0200
> Christian Neukirchen <[email-masked]> wrote:
>> Peter Stephenson <[email-masked]> writes:
>> 
>> > This adds an RPN mode for zcalc.  (Because it does, that's why.)  See
>> > the documentation.
>> 
>> It's a nice idea, but it would be even better if space worked as ENTER too,
>> so "5 4 +" returns 9.
>
> That's another function entirely, based on keystrokes rather than lines
> containing expressions; it doesn't fit into zcalc.
>
> Of course, if you want to write one, feel free.

I don't mean the space to update the display or anything, just
tokenize the input first?

I mean, I can type 6+7*8<RET> now, why shouldn't I be able to type
6 7 8 * + <RET>

>> And perhaps an operation to exchange the top two elements.
>
> I'll probably add some things of this sort.

Thanks,
-- 
Christian Neukirchen  <[email-masked]>  http://chneukirchen.org